import { CustomIcon, StaticTextDefaultValue } from '../../../../type';
import { default as markdownit } from 'markdown-it';

export interface CodeTabsPluginOps extends markdownit.Options {
    editorId: string;
    usedLanguageText: StaticTextDefaultValue;
    codeFoldable: boolean;
    autoFoldThreshold: number;
    customIcon: CustomIcon;
}
declare const codetabs: (md: markdownit, _opts: CodeTabsPluginOps) => void;
export default codetabs;
